Authorization: Bearer ********************{
"academic_year": "2026",
"fee_head": "Form Fillup Fee",
"note": "Form fillup payment for selected students",
"rule_type": 2,
"ledger_id": 5,
"fund_id": 2,
"start_at": "2026-01-01 00:00:00",
"end_at": "2026-02-01 23:59:59",
"guideline_doc": ,// file
"disbursements": [
{
"gateway": "SSL",
"account_ref": "SSL-ACC-001",
"account_name": "SSL Primary Account"
},
{
"gateway": "BKASH",
"account_ref": "01711111111",
"account_name": "Bkash Main Wallet"
}
],
"students": [
{
"student_id": "1001",
"name": "Rahim",
"mobile": "01711111111",
"academic_year": "2026",
"session": "2025-2026",
"department": "Science",
"class": "HSC",
"group": "A",
"tag": "Regular",
"amounts": [
{
"amount": 300,
"tag": "1 Subject"
},
{
"amount": 600,
"tag": "2 Subjects"
}
]
},
{
"student_id": "1002",
"name": "Karim",
"mobile": "01722222222",
"academic_year": "2026",
"session": "2025-2026",
"department": "Science",
"class": "HSC",
"group": "A",
"tag": "Special"
}
]
}curl --location 'https://apidev.edufee.online/api/open-payment/setup' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"academic_year": "2026",
"fee_head": "Form Fillup Fee",
"note": "Form fillup payment for selected students",
"rule_type": 2,
"ledger_id": 5,
"fund_id": 2,
"start_at": "2026-01-01 00:00:00",
"end_at": "2026-02-01 23:59:59",
"guideline_doc": ,// file
"disbursements": [
{
"gateway": "SSL",
"account_ref": "SSL-ACC-001",
"account_name": "SSL Primary Account"
},
{
"gateway": "BKASH",
"account_ref": "01711111111",
"account_name": "Bkash Main Wallet"
}
],
"students": [
{
"student_id": "1001",
"name": "Rahim",
"mobile": "01711111111",
"academic_year": "2026",
"session": "2025-2026",
"department": "Science",
"class": "HSC",
"group": "A",
"tag": "Regular",
"amounts": [
{
"amount": 300,
"tag": "1 Subject"
},
{
"amount": 600,
"tag": "2 Subjects"
}
]
},
{
"student_id": "1002",
"name": "Karim",
"mobile": "01722222222",
"academic_year": "2026",
"session": "2025-2026",
"department": "Science",
"class": "HSC",
"group": "A",
"tag": "Special"
}
]
}'{}